import { useQuery } from '@tanstack/react-query'
import { getMedio } from '../api/getMedio'

export function useMedio(id: number) {
  return useQuery({
    queryKey: ['medios', 'detail', id],
    queryFn: () => getMedio(id),
    enabled: !!id,
    staleTime: 15_000,
  })
}
